Bug 1314256 - RFE: Support for generic shared disks [NEEDINFO]
RFE: Support for generic shared disks
Status: CLOSED DEFERRED
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE (Show other bugs)
3.1.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Bradley Childs
Johnny Liu
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-03 04:53 EST by Nick Strugnell
Modified: 2018-03-12 09:54 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-03-12 09:54:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jkaur: needinfo? (bchilds)
erich: needinfo? (nstrug)
jkaur: needinfo? (bchilds)


Attachments (Terms of Use)

  None (edit)
Description Nick Strugnell 2016-03-03 04:53:43 EST
This is an RFE to provide support for generic shared disks such as multi-initiator SCSI disks, and virtual shared disks provided by VMware, libvirt and RHEV.

Currently, the Fiberchannel backend is the only way of providing shared SCSI disk capability, however it is not usable with other kinds of generic shared disks as it executes specific tests in k8s.io/kubernetes/pkg/volume/fc/fc_util.go to check that a real FC disk underlies the PV.

As FC disks are simply a special case of shared disk, it would seem that a generic shared disk driver would be simple to implement, simply by stripping out the FC-specific checks in the existing FC driver.
Comment 3 Steve Watt 2016-03-18 11:08:59 EDT
A trello feature card has been created for this https://trello.com/c/AxRegvYQ/271-provide-support-for-generic-shared-disks
Comment 11 Eric Rich 2018-03-12 09:54:36 EDT
This bug has been identified as a dated (created more than 3 months ago) bug. 
This bug has been triaged (has a trello card linked to it), or reviewed by Engineering/PM and has been put into the product backlog, 
however this bug has not been slated for a currently planned release (3.9, 3.10 or 3.11), which cover our releases for the rest of the calendar year. 

As a result of this bugs age, state on the current roadmap and PM Score (being below 70), this bug is being Closed - Differed, 
as it is currently not part of the products immediate priorities.

Please see: https://docs.google.com/document/d/1zdqF4rB3ea8GmVIZ7qWCVYUaQ7-EexUrQEF0MTwdDkw/edit for more details.

Note You need to log in before you can comment on or make changes to this bug.